Package com.io7m.cardant.model

# Record Class CAMetadataElementMatchType.Or

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMetadataElementMatchType.Or

Record Components:
  `e0` - The left match expression
  `e1` - The right match expression

All Implemented Interfaces:
  `CAMetadataElementMatchType`

Enclosing interface:
  `CAMetadataElementMatchType`

public static record CAMetadataElementMatchType.Or(CAMetadataElementMatchType e0, CAMetadataElementMatchType e1) extends Record implements CAMetadataElementMatchType
The disjunction of `e0` and `e1`. The resulting set of metadata elements is the union of those matched by `e0` or `e1`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataElementMatchType

  `CAMetadataElementMatchType.And, CAMetadataElementMatchType.Or, CAMetadataElementMatchType.Specific`

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.model.CAMetadataElementMatchType

  `ANYTHING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Or(CAMetadataElementMatchType e0, CAMetadataElementMatchType e1)`
  The disjunction of `e0` and `e1`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAMetadataElementMatchType`
  `e0()`
  Returns the value of the `e0` record component.
  `CAMetadataElementMatchType`
  `e1()`
  Returns the value of the `e1` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Or

    public Or(CAMetadataElementMatchType e0, CAMetadataElementMatchType e1)
    The disjunction of `e0` and `e1`. The resulting set of metadata elements is the union of those matched by `e0` or `e1`.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### e0

    public CAMetadataElementMatchType e0()
    Returns the value of the `e0` record component.
    Returns:
      the value of the `e0` record component

  - ### e1

    public CAMetadataElementMatchType e1()
    Returns the value of the `e1` record component.
    Returns:
      the value of the `e1` record component